package com.aucma.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.base.mapper.InspectionReportMapper;
import com.aucma.base.domain.InspectionReport;
import com.aucma.base.service.IInspectionReportService;

@Service
public class InspectionReportServiceImpl implements IInspectionReportService {
    @Autowired
    private InspectionReportMapper inspectionReportMapper;

    @Override
    public InspectionReport selectInspectionReportByObjId(Long objId) {
        return inspectionReportMapper.selectInspectionReportByObjId(objId);
    }

    @Override
    public List<InspectionReport> selectInspectionReportList(InspectionReport inspectionReport) {
        return inspectionReportMapper.selectInspectionReportList(inspectionReport);
    }

    @Override
    public int insertInspectionReport(InspectionReport inspectionReport) {
        return inspectionReportMapper.insertInspectionReport(inspectionReport);
    }

    @Override
    public int updateInspectionReport(InspectionReport inspectionReport) {
        return inspectionReportMapper.updateInspectionReport(inspectionReport);
    }

    @Override
    public int deleteInspectionReportByObjIds(Long[] objIds) {
        return inspectionReportMapper.deleteInspectionReportByObjIds(objIds);
    }

    @Override
    public int deleteInspectionReportByObjId(Long objId) {
        return inspectionReportMapper.deleteInspectionReportByObjId(objId);
    }
}
